## opensmtpd 6.8.0p2

=== smtpscript/smtpscript/Makefile ===
.PATH:	${.CURDIR}/..

PROG=	smtpscript
SRCS=	smtpscript.c iobuf.c parse.y ssl.c
NOMAN=	noman

LDADD+=         -lutil -lssl -lcrypto
DPADD+=         ${LIBEVENT} ${LIBUTIL} ${LIBSSL} ${LIBCRYPTO}
CPPFLAGS+=	-I${.CURDIR}/..
CPPFLAGS+=	-DIO_TLS

.include <bsd.prog.mk>

=== usr.sbin/smtpd/smtp/Makefile ===
#	$OpenBSD: Makefile,v 1.1 2018/04/26 13:57:13 eric Exp $

.PATH:	${.CURDIR}/..

PROG=	smtp

BINDIR=	/usr/bin
MAN=	smtp.1

SRCS+=	iobuf.c
SRCS+=	ioev.c
SRCS+=	log.c
SRCS+=	smtp_client.c
SRCS+=	smtpc.c
SRCS+=	ssl.c
SRCS+=	ssl_smtpd.c
SRCS+=	ssl_verify.c

CPPFLAGS+= -DIO_TLS

LDADD+=	-levent -lutil -lssl -lcrypto -lm -lz
DPADD+=	${LIBEVENT} ${LIBUTIL} ${LIBSSL} ${LIBCRYPTO} ${LIBM} ${LIBZ}

.include <bsd.prog.mk>

=== usr.sbin/smtpd/smtpctl/Makefile ===
#	$OpenBSD: Makefile,v 1.47 2018/07/03 01:34:43 mortimer Exp $

.PATH:		${.CURDIR}/..

PROG=	smtpctl
BINOWN=	root
BINGRP=	_smtpq

BINMODE?=2555

BINDIR=	/usr/sbin
MAN=	smtpctl.8 aliases.5 forward.5 makemap.8 newaliases.8

CFLAGS+=	-fstack-protector-all
CFLAGS+=	-I${.CURDIR}/..
CFLAGS+=	-Wall -Wstrict-prototypes -Wmissing-prototypes
CFLAGS+=	-Wmissing-declarations
CFLAGS+=	-Wshadow -Wpointer-arith -Wcast-qual
CFLAGS+=	-Wsign-compare
CFLAGS+=	-Werror-implicit-function-declaration
CFLAGS+=	-DNO_IO
CFLAGS+=	-DCONFIG_MINIMUM
YFLAGS=

SRCS=	enqueue.c
SRCS+=	parser.c
SRCS+=	log.c
SRCS+=	envelope.c
SRCS+=	crypto.c
SRCS+=	queue_backend.c
SRCS+=	queue_fs.c
SRCS+=	smtpctl.c
SRCS+=	util.c
SRCS+=	compress_backend.c
SRCS+=	compress_gzip.c
SRCS+=	to.c
SRCS+=	expand.c
SRCS+=	tree.c
SRCS+=	config.c
SRCS+=	dict.c
SRCS+=	aliases.c
SRCS+=	limit.c
SRCS+=	makemap.c
SRCS+=	parse.y
SRCS+=	mailaddr.c
SRCS+=	table.c
SRCS+=	table_static.c
SRCS+=	table_db.c
SRCS+=	table_getpwnam.c
SRCS+=	table_proc.c
SRCS+=	unpack_dns.c
SRCS+=	spfwalk.c

LDADD+=	-levent -lutil -lz -lcrypto
DPADD+=	${LIBEVENT} ${LIBUTIL} ${LIBZ} ${LIBCRYPTO}
.include <bsd.prog.mk>

=== usr.sbin/smtpd/smtpd/Makefile ===
#	$OpenBSD: Makefile,v 1.109 2020/09/23 19:11:50 martijn Exp $

.PATH:		${.CURDIR}/..

PROG=		smtpd

SRCS=	aliases.c
SRCS+=	bounce.c
SRCS+=	ca.c
SRCS+=	cert.c
SRCS+=	compress_backend.c
SRCS+=	config.c
SRCS+=	control.c
SRCS+=	crypto.c
SRCS+=	dict.c
SRCS+=	dns.c
SRCS+=	unpack_dns.c
SRCS+=	envelope.c
SRCS+=	esc.c
SRCS+=	expand.c
SRCS+=	forward.c
SRCS+=	iobuf.c
SRCS+=	ioev.c
SRCS+=	limit.c
SRCS+=	lka.c
SRCS+=	lka_filter.c
SRCS+=	lka_session.c
SRCS+=	log.c
SRCS+=	mailaddr.c
SRCS+=	mda.c
SRCS+=	mda_mbox.c
SRCS+=	mda_unpriv.c
SRCS+=	mda_variables.c
SRCS+=	mproc.c
SRCS+=	mta.c
SRCS+=	mta_session.c
SRCS+=	parse.y
SRCS+=	pony.c
SRCS+=	proxy.c
SRCS+=	queue.c
SRCS+=	queue_backend.c
SRCS+=	report_smtp.c
SRCS+=	resolver.c
SRCS+=	ruleset.c
SRCS+=	runq.c
SRCS+=	scheduler.c
SRCS+=	scheduler_backend.c
SRCS+=	smtp.c
SRCS+=	smtp_session.c
SRCS+=	smtpd.c
SRCS+=	srs.c
SRCS+=	ssl.c
SRCS+=	ssl_smtpd.c
SRCS+=	ssl_verify.c
SRCS+=	stat_backend.c
SRCS+=	table.c
SRCS+=	to.c
SRCS+=	tree.c
SRCS+=	util.c
SRCS+=	waitq.c

# RFC parsers
SRCS+=		rfc5322.c

# backends
SRCS+=		compress_gzip.c

SRCS+=		table_db.c
SRCS+=		table_getpwnam.c
SRCS+=		table_proc.c
SRCS+=		table_static.c

SRCS+=		queue_fs.c
SRCS+=		queue_null.c
SRCS+=		queue_proc.c
SRCS+=		queue_ram.c

SRCS+=		scheduler_ramqueue.c
SRCS+=		scheduler_null.c
SRCS+=		scheduler_proc.c

SRCS+=		stat_ramstat.c

MAN=		sendmail.8 smtpd.8 smtpd.conf.5 table.5
BINDIR=		/usr/sbin

LDADD+=		-levent -lutil -lssl -lcrypto -lm -lz
DPADD+=		${LIBEVENT} ${LIBUTIL} ${LIBSSL} ${LIBCRYPTO} ${LIBM} ${LIBZ}

CFLAGS+=	-fstack-protector-all
CFLAGS+=	-I${.CURDIR}/..
CFLAGS+=	-Wall -Wstrict-prototypes -Wmissing-prototypes
CFLAGS+=	-Wmissing-declarations
CFLAGS+=	-Wshadow -Wpointer-arith -Wcast-qual
CFLAGS+=	-Wsign-compare
CFLAGS+=	-Werror-implicit-function-declaration
#CFLAGS+=	-Werror # during development phase (breaks some archs)
CFLAGS+=	-DIO_TLS
CFLAGS+=	-DQUEUE_PROFILING
YFLAGS=

.include <bsd.prog.mk>

=== debian/changelog ===
opensmtpd (6.8.0p2-4build1) jammy; urgency=medium

  * No-change rebuild against openssl3

 -- Simon Chopin <simon.chopin@canonical.com>  Mon, 29 Nov 2021 16:04:36 +0100

opensmtpd (6.8.0p2-4) unstable; urgency=medium

  * Fix typo in gecos fields
  * Bump standards version to 4.6.0
  * Build identical packages, regardless of whether the build environment uses
    usrmerge (Closes: #993675)

 -- Ryan Kavanagh <rak@debian.org>  Thu, 09 Sep 2021 09:35:41 -0400

opensmtpd (6.8.0p2-3) unstable; urgency=medium

  * Don't set ExecStop in systemd service file (this change got lost from
    6.8.0p2-1)

 -- Ryan Kavanagh <rak@debian.org>  Sat, 23 Jan 2021 14:06:15 -0500

opensmtpd (6.8.0p2-2) unstable; urgency=medium

  * Fix man page formatting
  * Update changelog entry for 6.8.0p2-1 to mention security fixes

 -- Ryan Kavanagh <rak@debian.org>  Mon, 28 Dec 2020 11:42:41 -0500

opensmtpd (6.8.0p2-1) unstable; urgency=medium

  * New upstream version 6.8.0p2
    + Closes #978039, CVE-2020-35680
    + Closes #978038, CVE-2020-35679
  * Don't set ExecStop in systemd service file

 -- Ryan Kavanagh <rak@debian.org>  Mon, 28 Dec 2020 10:33:03 -0500

opensmtpd (6.8.0p1~rc1-1) unstable; urgency=medium

  * New upstream release
    + Update copyright holders
  * Generate autotools cruft in configure phase
  * Bump standards-version to 4.5.1
  * Drop obsolete hyphen-used-as-minus-sign lintian overrides
  * Set man-type to 'man' during configure to ensure man pages get installed
    at the right spot
  * Migrate watch file to version 4

 -- Ryan Kavanagh <rak@debian.org>  Wed, 09 Dec 2020 09:16:26 -0500

=== debian/control ===
Source: opensmtpd
Section: mail
Priority: optional
Maintainer: Ryan Kavanagh <rak@debian.org>
Build-Depends: debhelper-compat (= 13)
 , bison
 , libdb-dev
 , libevent-dev
 , libpam0g-dev
 , libssl-dev
 , po-debconf
 , zlib1g-dev
Rules-Requires-Root: binary-targets
Standards-Version: 4.6.0
Homepage: https://www.opensmtpd.org/
Vcs-Git: https://salsa.debian.org/debian/opensmtpd.git -b debian/sid
Vcs-Browser: https://salsa.debian.org/debian/opensmtpd

Package: opensmtpd
Architecture: any
Provides: mail-transport-agent
Conflicts: mail-transport-agent
 , sendmail-base
Replaces: mail-transport-agent
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
 , adduser
 , ed
 , lsb-base (>= 3.0-6)
Recommends: opensmtpd-extras
Breaks: opensmtpd-extras (<< 6.6.0)
Suggests: ca-certificates
Description: secure, reliable, lean, and easy-to configure SMTP server
 The OpenSMTPD server seeks to be
  * as secure as possible, and uses privilege separation to mitigate
    possible security bugs
  * as reliable as possible: any accepted email must not be lost
  * lean: it covers typical usage cases instead of every obscure one
  * easy to configure, with a configuration syntax reminiscent of the OpenBSD
    Packet Filter's (PF)
  * fast and efficient: it can handle large queues with reasonable performance

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	./bootstrap
	dh_auto_configure -- \
	    ZCAT=/bin/zcat \
	    --with-auth-pam \
	    --with-group-queue=opensmtpq \
	    --with-mantype=doc \
	    --with-path-CAfile=/etc/ssl/certs/ca-certificates.crt \
	    --with-path-empty=/var/lib/opensmtpd/empty \
	    --with-path-mbox=/var/mail \
	    --with-table-db \
	    --with-user-queue=opensmtpq \
	    --with-user-smtpd=opensmtpd

override_dh_fixperms:
	dh_fixperms
	chgrp mail debian/opensmtpd/usr/libexec/opensmtpd/mail.local
	chmod 2755 debian/opensmtpd/usr/libexec/opensmtpd/mail.local

## opensmtpd 7.3.0p1

=== debian/changelog ===
opensmtpd (7.3.0p1-1) unstable; urgency=medium

  * New upstream release (Closes: #1040365)
    + OpenSMTPD 7.3.0p1 is compatible with OpenSSL 3.0 (Closes: #1037359)
    + Safely handle connections from local, scoped IPv6 addresses
      (Closes: #1034178, CVE-2023-29323)
    + Default smtpd.conf no longer suggests invalid "listen on all"
      (Closes: #963252)
  * Drop 07_automake_missing_options.diff, applied upstream
  * Add missing build-dependency on pkg-config
  * Drop breaks on opensmtpd-extras (<< 6.6.0), now in oldoldstable
  * Bump standards-version to 4.6.2, no changes required
  * Update lintian overrides to handle renames and allow for spare manual pages
  * Update copyright file
  * Drop unneeded dependency on lsb-base
  * Can now build source after successful build (Closes: #1045548)
  * Update NEWS to warn users of changes to smtpd.conf(5)

 -- Ryan Kavanagh <rak@debian.org>  Wed, 16 Aug 2023 11:08:22 -0400

=== debian/control ===
--- 
+++ 
@@ -8,10 +8,11 @@
  , libevent-dev
  , libpam0g-dev
  , libssl-dev
+ , pkg-config
  , po-debconf
  , zlib1g-dev
 Rules-Requires-Root: binary-targets
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: https://www.opensmtpd.org/
 Vcs-Git: https://salsa.debian.org/debian/opensmtpd.git -b debian/sid
 Vcs-Browser: https://salsa.debian.org/debian/opensmtpd
@@ -26,9 +27,7 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}
  , adduser
  , ed
- , lsb-base (>= 3.0-6)
 Recommends: opensmtpd-extras
-Breaks: opensmtpd-extras (<< 6.6.0)
 Suggests: ca-certificates
 Description: secure, reliable, lean, and easy-to configure SMTP server
  The OpenSMTPD server seeks to be

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,6 @@
 	dh $@
 
 override_dh_auto_configure:
-	./bootstrap
 	dh_auto_configure -- \
 	    ZCAT=/bin/zcat \
 	    --with-auth-pam \

## opensmtpd 7.4.0p1

=== debian/changelog ===
opensmtpd (7.4.0p1-1build4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:11:38 +1100

opensmtpd (7.4.0p1-1build3) noble; urgency=medium

  * No-change rebuild against libevent-2.1-7t64

 -- Simon Chopin <schopin@ubuntu.com>  Fri, 29 Mar 2024 17:28:47 +0100

opensmtpd (7.4.0p1-1build2) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 20:31:09 +0000

opensmtpd (7.4.0p1-1build1) noble; urgency=medium

  * No-change rebuild against libdb5.3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 02 Mar 2024 20:35:55 +0000

opensmtpd (7.4.0p1-1) unstable; urgency=medium

  * New upstream release
  * Drop obsolete --with-mantype=doc configure option
  * Update copyright years
  * Switch to gbp-pq
  * Fix typo in tls error message, 0002-Fix-typo-in-tls-error-message.patch
  * Drop obsolete lintian override on spelling-error-in-copyright

 -- Ryan Kavanagh <rak@debian.org>  Wed, 22 Nov 2023 10:40:02 -0500

opensmtpd (7.3.0p2-1) unstable; urgency=medium

  * New upstream release

 -- Ryan Kavanagh <rak@debian.org>  Fri, 29 Sep 2023 12:52:22 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: opensmtpd
 Section: mail
 Priority: optional
-Maintainer: Ryan Kavanagh <rak@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Ryan Kavanagh <rak@debian.org>
 Build-Depends: debhelper-compat (= 13)
  , bison
  , libdb-dev

=== debian/watch ===
version=4

https://www.opensmtpd.org/archives/opensmtpd-([^latest][^201][0-9a-z.]+).tar.gz

## opensmtpd 7.5.0p0

=== debian/changelog ===
opensmtpd (7.5.0p0-1) unstable; urgency=medium

  * New upstream release
  * Disable pristine-tar in gbp.conf
  * Update copyright holders
  * Drop 0002-Fix-typo-in-tls-error-message.patch, applied upstream
  * Rename build-dependency pkg-config to pkgconf

 -- Ryan Kavanagh <rak@debian.org>  Sat, 08 Jun 2024 14:42:59 -0400

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: opensmtpd
 Section: mail
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Ryan Kavanagh <rak@debian.org>
+Maintainer: Ryan Kavanagh <rak@debian.org>
 Build-Depends: debhelper-compat (= 13)
  , bison
  , libdb-dev
  , libevent-dev
  , libpam0g-dev
  , libssl-dev
- , pkg-config
+ , pkgconf
  , po-debconf
  , zlib1g-dev
 Rules-Requires-Root: binary-targets

## opensmtpd 7.6.0p1

=== debian/changelog ===
opensmtpd (7.6.0p1-1) unstable; urgency=medium

  * New upstream release
    + Update copyright holders
  * Bump standards version to 4.7.2, no changes required
  * opensmtpd-extras has been split up and is going away. Update
    recommends/suggests to point to the packages into which it was split
    (Closes: #1096076)

 -- Ryan Kavanagh <rak@debian.org>  Sat, 08 Mar 2025 11:03:26 -0500

=== debian/control ===
Source: opensmtpd
Section: mail
Priority: optional
Maintainer: Ryan Kavanagh <rak@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 bison,
 libdb-dev,
 libevent-dev,
 libpam0g-dev,
 libssl-dev,
 pkgconf,
 po-debconf,
 zlib1g-dev,
Rules-Requires-Root: binary-targets
Standards-Version: 4.7.2
Homepage: https://www.opensmtpd.org/
Vcs-Git: https://salsa.debian.org/debian/opensmtpd.git -b debian/sid
Vcs-Browser: https://salsa.debian.org/debian/opensmtpd

Package: opensmtpd
Architecture: any
Provides:
 mail-transport-agent,
Conflicts:
 mail-transport-agent,
 sendmail-base,
Replaces:
 mail-transport-agent,
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 adduser,
 ed,
 ${misc:Depends},
 ${shlibs:Depends},
Breaks:
 opensmtpd-extras (<< 6.7.1+ds0),
Suggests:
 ca-certificates,
 opensmtpd-filter-dkimsign,
 opensmtpd-filter-rspamd,
 opensmtpd-filter-senderscore,
 opensmtpd-table-ldap,
 opensmtpd-table-mysql,
 opensmtpd-table-passwd,
 opensmtpd-table-postgres,
 opensmtpd-table-redis,
 opensmtpd-table-socketmap,
 opensmtpd-table-sqlite,
Description: secure, reliable, lean, and easy-to configure SMTP server
 The OpenSMTPD server seeks to be
  * as secure as possible, and uses privilege separation to mitigate
    possible security bugs
  * as reliable as possible: any accepted email must not be lost
  * lean: it covers typical usage cases instead of every obscure one
  * easy to configure, with a configuration syntax reminiscent of the OpenBSD
    Packet Filter's (PF)
  * fast and efficient: it can handle large queues with reasonable performance

## opensmtpd 7.7.0p0

=== debian/changelog ===
opensmtpd (7.7.0p0-1) unstable; urgency=medium

  [ Ryan Kavanagh ]
  * New upstream release

  [ Gioele Barabucci ]
  * d/preinst: Remove code for ancient versions

 -- Ryan Kavanagh <rak@debian.org>  Mon, 19 May 2025 10:50:04 -0400

## opensmtpd 7.8.0p0

=== debian/changelog ===
opensmtpd (7.8.0p0-2) unstable; urgency=medium

  * Add libcrypt-dev to build-depends (Closes: #1106987)

 -- Ryan Kavanagh <rak@debian.org>  Fri, 05 Dec 2025 10:33:11 -0500

opensmtpd (7.8.0p0-1) unstable; urgency=medium

  [ Ryan Kavanagh ]
  * New upstream release
    + Fixes CVE-2025-62875 (Closes: #1119840)

  [ Carles Pina i Estany ]
  * Added po-debconf Catalan translation (Closes: #1106765)

 -- Ryan Kavanagh <rak@debian.org>  Mon, 03 Nov 2025 15:53:08 -0500

=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 Build-Depends:
  debhelper-compat (= 13),
  bison,
+ libcrypt-dev,
  libdb-dev,
  libevent-dev,
  libpam0g-dev,
